Preview smart listing results
Returns all product variants that match the specified listing rules without creating a listing
POST
/api/v1/{team_slug}/{app_slug}/smart-listings/previewAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
Request body
requiredapplication/jsonsmart-listing configuration
rulesinternal_pkg_webserver_v1.ListingRuleRequest[]requiredShow propertiesHide properties
Array of
internal_pkg_webserver_v1.ListingRuleRequestoperatorgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ListingRuleOperatorrequiredAllowed:
equalnot-equalgreater-thanless-thancontainstargetgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ListingRuleTargetrequiredAllowed:
stockpriceattributetitlecategorytarget_idstringused for warehouse stock validation
value_floatnumbervalue_liststring[]value_stringstringslugstringrequiredResponses
200
All product-variants affected by the listing rules
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.ListingProductVariant[]requiredShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.ListingProductVariantapp_idstringattributesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ProductListingAttribute[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductListingAttributetemplate_idstringtemplate_namestringvaluesstring[] | nullcategory_slugsstring[] | nullcustom_fieldsobject | nullidstringimage_urlsstring[] | nullpricesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Price[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Priceamountnumbercurrencystringon_salebooleanproduct_idstringproduct_namestringtotal_stockintegervariant_namestringvariant_numberstringwarehouse_stocksgithub_com_enadhq_nabbit_internal_pkg_webserver_models.WarehouseStock[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.WarehouseStockstockintegerwarehouse_idstringdetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request (e.g. bad UUID, validation error)
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired422
Invalid request and not parsable by backend
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired